%define name		xblast
%define major_version	2.10
%define minor_version	0
%define version		%{major_version}.%{minor_version}
%define release		alt1
%define summary		The X11 bomberman team game

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Icon:		%{name}.gif
Group:		Games/Arcade
Source0:	http://heanet.dl.sourceforge.net/sourceforge/xblast/%name-complete-sounds-%version.tar.gz
Source1:	%{name}_48x48.png.bz2
Source2:	%{name}_32x32.png.bz2
Source3:	%{name}_16x16.png.bz2
URL:		http://xblast.sourceforge.net/
# Automatically added by buildreq on Sat Jan 29 2005
BuildRequires: libpng-devel xorg-x11-devel xorg-x11-libs ImageMagick

%description
XBlast is a multi-player arcade game for X11R5/R6. The game can be played
with at least two players and up to four players. It was inspired by
the video/computer game Bomberman(Dynablaster), which was to my
knowledge first programmed for NEC's PC Engine/Turbo Grafx. Other
(commercial) versions of the original game exist for IBM-PC, Atari ST,
Amiga, NES, GameBoy and Super NES.

%prep
%setup

%build
./autogen.sh
%configure --enable-sound --enable-admin --bindir=%_gamesbindir --with-otherdatadir=%_gamesdatadir/XBlast-TNT --prefix=/usr
convert %name.ico %name.xpm
%__sed -r '/^".{32}/{s/[^$",]/./g;s/\$/#/g}' %name.xpm > %name.mask.xpm
convert %name.mask.xpm %name.pbm
convert %name.ico %name.ppm

%install
%makeinstall game_datadir=%buildroot/%_gamesdatadir/XBlast-TNT bindir=%buildroot/%_gamesbindir
%__mkdir_p %buildroot/%_mandir/man6
%__install %name.man %buildroot/%_mandir/man6/%name.6

# icons
%__install %name.ppm %name.pbm %buildroot%_gamesdatadir/XBlast-TNT/image/misc

mkdir -p %buildroot%{_liconsdir}/
mkdir -p %buildroot%{_iconsdir}/
mkdir -p %buildroot%{_miconsdir}/

bzcat %{SOURCE1} > %buildroot%{_liconsdir}/%{name}.png 
bzcat %{SOURCE2} > %buildroot%{_iconsdir}/%{name}.png 
bzcat %{SOURCE3} > %buildroot%{_miconsdir}/%{name}.png


# menu entry
mkdir -p %buildroot%{_libdir}/menu
cat >%buildroot%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%_gamesbindir/%name"\\
	needs="text"\\
	icon="%{name}.png"\\
	section="Amusement/Arcade"\\
	title="XBlast" \
	longtitle="%{summary}"
EOF

%files
%_menudir/xblast
%_gamesbindir/xbsndsrv
%_gamesbindir/xblast
%_gamesdatadir/XBlast-TNT
%_mandir/man6/xblast.6.bz2
%_miconsdir/xblast.png
%_liconsdir/xblast.png
%_iconsdir/xblast.png
%doc README INSTALL ChangeLog AUTHORS NEWS


%changelog
* Sat Jan 29 2005 Fr. Br. George <george@altlinux.ru> 2.10.0-alt1
- Totally new branch XBlast-TNT, initial ALT build

* Fri Oct 31 2003 Fr. Br. George <george@altlinux.ru> 2.6.1-alt1
- ALT Linux port

